package com.bokecc.livemodule.live.courseware.bean;

import java.io.File;

/**
 * Copyright (C), 20105-2021, 创盛视联数码科技（北京）有限公司
 * FileName:
 * Author: cc视频
 * Date: 2024/3/13
 * Description:
 */
public class CoursewareBean {


    public static final int FILE_TYPE_PDF = 0; // pdf
    public static final int FILE_TYPE_DOC = 1; // word
    public static final int FILE_TYPE_PPT = 2; // ppt
    public static final int FILE_TYPE_IMAGE = 3; // 图片jpg
    public static final int FILE_TYPE_GIF = 4; // 图片gif
    public static final int FILE_TYPE_HTML = 5; //H5课件
    public static final int FILE_TYPE_H5_ZIP = 6; //H5课件,ZIP包格式

    //未下载
    public static final int STATUS_NORMAL = 0;
    //下载中
    public static final int STATUS_FETCHING = 1;
    //下载完成
    public static final int STATUS_FETCHED = 2;

    private String docId;

    private String name;
    private long size;
    private int status;

    private int type;

    private String url;
    private String localPath;

    //下载相关
    private long speed;
    private int progress;
    //真实大小，从下载器获取
    private long realSize;
    //已下载大小，从下载器获取
    private long fetchedSize;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public long getFetchedSize() {
        return fetchedSize;
    }

    public void setFetchedSize(long fetchedSize) {
        this.fetchedSize = fetchedSize;
    }

    public long getRealSize() {
        return realSize;
    }

    public void setRealSize(long realSize) {
        this.realSize = realSize;
    }

    public String getLocalPath() {
        return localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public long getSpeed() {
        return speed;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setSpeed(long speed) {
        this.speed = speed;
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }

    public String getDocId() {
        return docId;
    }

    public void setDocId(String docId) {
        this.docId = docId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
